package roneditor.ronview.commands;

import roneditor.objectnetview.commands.AbstractBendpointCommand;
import ronmodel.BendPoint;
/**
 * class for a deleting a {@link BendPoint}
 */
public class DeleteHLBendpointCommand extends AbstractBendpointCommand {
	/**
	 * ein existierendes {@link BendPoint} wird gelscht
	 */
	public void execute() {
		bendPoint = (BendPoint) getHLArc().getBendPoints().get(getIndex());
		getHLArc().getBendPoints().remove(bendPoint);
	}

	public void undo() {
		getHLArc().getBendPoints().add(getIndex(), bendPoint);
	}

}
