package roneditor.ruleview;

import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.gef.tools.ConnectionCreationTool;
/**
 * creation tool for the Mapping
 */
public class RuleMappingCreationTool extends ConnectionCreationTool {

	public RuleMappingCreationTool() {
		super();
	}

	public RuleMappingCreationTool(CreationFactory factory) {
		super(factory);
	}
	/**
	 * @see org.eclipse.gef.tools.AbstractConnectionCreationTool#handleMove()
	 */
	protected boolean handleMove() {
		if (isInState(STATE_CONNECTION_STARTED | STATE_INITIAL
				| STATE_ACCESSIBLE_DRAG_IN_PROGRESS)) {
			updateTargetRequest();
			updateTargetUnderMouse();
			// showSourceFeedback();
			showTargetFeedback();
			setCurrentCommand(getCommand());
		}
		return true;
	}
	/**
	 * @see org.eclipse.gef.tools.ConnectionCreationTool#handleFocusLost()
	 */
	@Override
	protected boolean handleFocusLost() {
		return true;
	}
}