package roneditor.objectnetview.edit.policies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ConnectionEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import roneditor.objectnetview.commands.DeleteONArcCommand;
import ronmodel.ONArc;

/**
 * Edit policy for a {@link ONArc}.
 */
public class ONArcEditPolicy extends ConnectionEditPolicy {

	/**
	 * 
	 */
	public ONArcEditPolicy() {
		super();
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ConnectionEditPolicy#getDeleteCommand(org.eclipse.gef.requests.GroupRequest)
	 */
	protected Command getDeleteCommand(GroupRequest request) {
		DeleteONArcCommand c = new DeleteONArcCommand();
		c.setONArc((ONArc) getHost().getModel());
		return c;
	}
}
