package roneditor.ronview;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.CreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;

public class RONCreationToolEntry extends CreationToolEntry {

	public RONCreationToolEntry(String label, String shortDesc,
			CreationFactory factory, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new RONCreationTool(factory);
	}
}
