package roneditor.ruleview;

import org.eclipse.gef.Tool;
import org.eclipse.gef.palette.ConnectionCreationToolEntry;
import org.eclipse.gef.requests.CreationFactory;
import org.eclipse.jface.resource.ImageDescriptor;
/**
 * creation tool Entry for Mapping
 */
public class RuleMappingCreationToolEntry extends ConnectionCreationToolEntry {

	public RuleMappingCreationToolEntry(String label, String shortDesc,
			CreationFactory factory, ImageDescriptor iconSmall,
			ImageDescriptor iconLarge) {
		super(label, shortDesc, factory, iconSmall, iconLarge);
	}

	/**
	 * Returns a new CreationTool for this entry.
	 */
	public Tool createTool() {
		return new RuleMappingCreationTool(factory);
	}
}
